### Hierarchy

- Array<any>
  - IParserColumnDefinitions

### Indexable

[n: number]: any

## Index

### Properties

- Array
- length

### Methods

- __@iterator
- __@unscopables
- concat
- copyWithin
- entries
- every
- fill
- filter
- find
- findIndex
- forEach
- includes
- indexOf
- join
- keys
- lastIndexOf
- map
- pop
- push
- reduce
- reduceRight
- reverse
- shift
- slice
- some
- sort
- splice
- toLocaleString
- toString
- unshift
- values

## Properties

### Array

Array: ArrayConstructor

- Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1358

### length

length: number

Inherited from Array.length

- Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1199

Gets or sets the length of the array. This is a number one higher than the highest element defined in an array.

## Methods

### __@iterator

- __@iterator(): IterableIterator<any>

- Inherited from Array.[Symbol.iterator]

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:52

  Iterator

  #### Returns IterableIterator<any>

### __@unscopables

- __@unscopables(): object

- Inherited from Array.[Symbol.unscopables]

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.symbol.wellknown.d.ts:94

  Returns an object whose properties have the value 'true' when they will be absent when used in a 'with' statement.

  #### Returns object

  - ##### copyWithin: boolean

  - ##### entries: boolean

  - ##### fill: boolean

  - ##### find: boolean

  - ##### findIndex: boolean

  - ##### keys: boolean

  - ##### values: boolean

### concat

- concat(...items: ConcatArray<any>[]): any[]
- concat(...items: (T | ConcatArray<T>)[]): any[]

- Inherited from Array.concat

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1221

  Combines two or more arrays.

  #### Parameters

  - ##### Rest ...items: ConcatArray<any>[]

    Additional items to add to the end of array1.

  #### Returns any[]

- Inherited from Array.concat

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1226

  Combines two or more arrays.

  #### Parameters

  - ##### Rest ...items: (T | ConcatArray<T>)[]

    Additional items to add to the end of array1.

  #### Returns any[]

### copyWithin

- copyWithin(target: number, start: number, end?: undefined | number): this

- Inherited from Array.copyWithin

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:64

  Returns the this object after copying a section of the array identified by start and end to the same array starting at position target

  #### Parameters

  - ##### target: number

    If target is negative, it is treated as length+target where length is the length of the array.

  - ##### start: number

    If start is negative, it is treated as length+start. If end is negative, it is treated as length+end.

  - ##### Optional end: undefined | number

    If not specified, length of the this object is used as its default value.

  #### Returns this

### entries

- entries(): IterableIterator<[number, any]>

- Inherited from Array.entries

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:57

  Returns an iterable of key, value pairs for every entry in the array

  #### Returns IterableIterator<[number, any]>

### every

- every(callbackfn: function, thisArg?: any): boolean

- Inherited from Array.every

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1286

  Determines whether all the members of an array satisfy the specified test.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The every method calls the callbackfn function for each element in array1 until the callbackfn returns false, or until the end of the array.

    - - (value: any, index: number, array: any[]): boolean

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### array: any[]

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### fill

- fill(value: any, start?: undefined | number, end?: undefined | number): this

- Inherited from Array.fill

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:53

  Returns the this object after filling the section identified by start and end with value

  #### Parameters

  - ##### value: any

    value to fill array section with

  - ##### Optional start: undefined | number

    index to start filling the array at. If start is negative, it is treated as length+start where length is the length of the array.

  - ##### Optional end: undefined | number

    index to stop filling the array at. If end is negative, it is treated as length+end.

  #### Returns this

### filter

- filter<S>(callbackfn: function, thisArg?: any): S[]
- filter(callbackfn: function, thisArg?: any): any[]

- Inherited from Array.filter

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1310

  Returns the elements of an array that meet the condition specified in a callback function.

  #### Type parameters

  - #### S: any

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.

    - - (value: any, index: number, array: any[]): boolean

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### array: any[]

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns S[]

- Inherited from Array.filter

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1316

  Returns the elements of an array that meet the condition specified in a callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The filter method calls the callbackfn function one time for each element in the array.

    - - (value: any, index: number, array: any[]): any

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### array: any[]

        #### Returns any

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns any[]

### find

- find<S>(predicate: function, thisArg?: any): S | undefined
- find(predicate: function, thisArg?: any): any | undefined

- Inherited from Array.find

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:31

  Returns the value of the first element in the array where predicate is true, and undefined otherwise.

  #### Type parameters

  - #### S: any

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, find immediately returns that element value. Otherwise, find returns undefined.

    - - (this: void, value: any, index: number, obj: any[]): boolean

      - #### Parameters

        - ##### this: void

        - ##### value: any

        - ##### index: number

        - ##### obj: any[]

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns S | undefined

- Inherited from Array.find

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:32

  #### Parameters

  - ##### predicate: function

    - - (value: any, index: number, obj: any[]): boolean

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### obj: any[]

        #### Returns boolean

  - ##### Optional thisArg: any

  #### Returns any | undefined

### findIndex

- findIndex(predicate: function, thisArg?: any): number

- Inherited from Array.findIndex

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.core.d.ts:43

  Returns the index of the first element in the array where predicate is true, and -1 otherwise.

  #### Parameters

  - ##### predicate: function

    find calls predicate once for each element of the array, in ascending order, until it finds one where predicate returns true. If such an element is found, findIndex immediately returns that element index. Otherwise, findIndex returns -1.

    - - (value: any, index: number, obj: any[]): boolean

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### obj: any[]

        #### Returns boolean

  - ##### Optional thisArg: any

    If provided, it will be used as the this value for each invocation of predicate. If it is not provided, undefined is used instead.

  #### Returns number

### forEach

- forEach(callbackfn: function, thisArg?: any): void

- Inherited from Array.forEach

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1298

  Performs the specified action for each element in an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. forEach calls the callbackfn function one time for each element in the array.

    - - (value: any, index: number, array: any[]): void

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### array: any[]

        #### Returns void

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns void

### includes

- includes(searchElement: any, fromIndex?: undefined | number): boolean

- Inherited from Array.includes

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2016.array.include.d.ts:27

  Determines whether an array includes a certain element, returning true or false as appropriate.

  #### Parameters

  - ##### searchElement: any

    The element to search for.

  - ##### Optional fromIndex: undefined | number

    The position in this array at which to begin searching for searchElement.

  #### Returns boolean

### indexOf

- indexOf(searchElement: any, fromIndex?: undefined | number): number

- Inherited from Array.indexOf

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1274

  Returns the index of the first occurrence of a value in an array.

  #### Parameters

  - ##### searchElement: any

    The value to locate in the array.

  - ##### Optional fromIndex: undefined | number

    The array index at which to begin the search. If fromIndex is omitted, the search starts at index 0.

  #### Returns number

### join

- join(separator?: undefined | string): string

- Inherited from Array.join

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1231

  Adds all the elements of an array separated by the specified separator string.

  #### Parameters

  - ##### Optional separator: undefined | string

    A string used to separate one element of an array from the next in the resulting String. If omitted, the array elements are separated with a comma.

  #### Returns string

### keys

- keys(): IterableIterator<number>

- Inherited from Array.keys

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:62

  Returns an iterable of keys in the array

  #### Returns IterableIterator<number>

### lastIndexOf

- lastIndexOf(searchElement: any, fromIndex?: undefined | number): number

- Inherited from Array.lastIndexOf

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1280

  Returns the index of the last occurrence of a specified value in an array.

  #### Parameters

  - ##### searchElement: any

    The value to locate in the array.

  - ##### Optional fromIndex: undefined | number

    The array index at which to begin the search. If fromIndex is omitted, the search starts at the last index in the array.

  #### Returns number

### map

- map<U>(callbackfn: function, thisArg?: any): U[]

- Inherited from Array.map

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1304

  Calls a defined callback function on each element of an array, and returns an array that contains the results.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The map method calls the callbackfn function one time for each element in the array.

    - - (value: any, index: number, array: any[]): U

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### array: any[]

        #### Returns U

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns U[]

### pop

- pop(): any | undefined

- Inherited from Array.pop

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1211

  Removes the last element from an array and returns it.

  #### Returns any | undefined

### push

- push(...items: any[]): number

- Inherited from Array.push

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1216

  Appends new elements to an array, and returns the new length of the array.

  #### Parameters

  - ##### Rest ...items: any[]

    New elements of the Array.

  #### Returns number

### reduce

- reduce(callbackfn: function): any
- reduce(callbackfn: function, initialValue: any): any
- reduce<U>(callbackfn: function, initialValue: U): U

- Inherited from Array.reduce

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1322

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: any, currentValue: any, currentIndex: number, array: any[]): any

      - #### Parameters

        - ##### previousValue: any

        - ##### currentValue: any

        - ##### currentIndex: number

        - ##### array: any[]

        #### Returns any

- Inherited from Array.reduce

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1323

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: any, currentValue: any, currentIndex: number, array: any[]): any

      - #### Parameters

        - ##### previousValue: any

        - ##### currentValue: any

        - ##### currentIndex: number

        - ##### array: any[]

        #### Returns any

  - ##### initialValue: any

  #### Returns any

- Inherited from Array.reduce

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1329

  Calls the specified callback function for all the elements in an array. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduce method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: any, currentIndex: number, array: any[]): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: any

        - ##### currentIndex: number

        - ##### array: any[]

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reduceRight

- reduceRight(callbackfn: function): any
- reduceRight(callbackfn: function, initialValue: any): any
- reduceRight<U>(callbackfn: function, initialValue: U): U

- Inherited from Array.reduceRight

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1335

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: any, currentValue: any, currentIndex: number, array: any[]): any

      - #### Parameters

        - ##### previousValue: any

        - ##### currentValue: any

        - ##### currentIndex: number

        - ##### array: any[]

        #### Returns any

- Inherited from Array.reduceRight

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1336

  #### Parameters

  - ##### callbackfn: function

    - - (previousValue: any, currentValue: any, currentIndex: number, array: any[]): any

      - #### Parameters

        - ##### previousValue: any

        - ##### currentValue: any

        - ##### currentIndex: number

        - ##### array: any[]

        #### Returns any

  - ##### initialValue: any

  #### Returns any

- Inherited from Array.reduceRight

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1342

  Calls the specified callback function for all the elements in an array, in descending order. The return value of the callback function is the accumulated result, and is provided as an argument in the next call to the callback function.

  #### Type parameters

  - #### U

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to four arguments. The reduceRight method calls the callbackfn function one time for each element in the array.

    - - (previousValue: U, currentValue: any, currentIndex: number, array: any[]): U

      - #### Parameters

        - ##### previousValue: U

        - ##### currentValue: any

        - ##### currentIndex: number

        - ##### array: any[]

        #### Returns U

  - ##### initialValue: U

    If initialValue is specified, it is used as the initial value to start the accumulation. The first call to the callbackfn function provides this value as an argument instead of an array value.

  #### Returns U

### reverse

- reverse(): any[]

- Inherited from Array.reverse

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1235

  Reverses the elements in an Array.

  #### Returns any[]

### shift

- shift(): any | undefined

- Inherited from Array.shift

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1239

  Removes the first element from an array and returns it.

  #### Returns any | undefined

### slice

- slice(start?: undefined | number, end?: undefined | number): any[]

- Inherited from Array.slice

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1245

  Returns a section of an array.

  #### Parameters

  - ##### Optional start: undefined | number

    The beginning of the specified portion of the array.

  - ##### Optional end: undefined | number

    The end of the specified portion of the array.

  #### Returns any[]

### some

- some(callbackfn: function, thisArg?: any): boolean

- Inherited from Array.some

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1292

  Determines whether the specified callback function returns true for any element of an array.

  #### Parameters

  - ##### callbackfn: function

    A function that accepts up to three arguments. The some method calls the callbackfn function for each element in array1 until the callbackfn returns true, or until the end of the array.

    - - (value: any, index: number, array: any[]): boolean

      - #### Parameters

        - ##### value: any

        - ##### index: number

        - ##### array: any[]

        #### Returns boolean

  - ##### Optional thisArg: any

    An object to which the this keyword can refer in the callbackfn function. If thisArg is omitted, undefined is used as the this value.

  #### Returns boolean

### sort

- sort(compareFn?: undefined | function): this

- Inherited from Array.sort

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1250

  Sorts an array.

  #### Parameters

  - ##### Optional compareFn: undefined | function

    The name of the function used to determine the order of the elements. If omitted, the elements are sorted in ascending, ASCII character order.

  #### Returns this

### splice

- splice(start: number, deleteCount?: undefined | number): any[]
- splice(start: number, deleteCount: number, ...items: any[]): any[]

- Inherited from Array.splice

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1256

  Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.

  #### Parameters

  - ##### start: number

    The zero-based location in the array from which to start removing elements.

  - ##### Optional deleteCount: undefined | number

    The number of elements to remove.

  #### Returns any[]

- Inherited from Array.splice

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1263

  Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.

  #### Parameters

  - ##### start: number

    The zero-based location in the array from which to start removing elements.

  - ##### deleteCount: number

    The number of elements to remove.

  - ##### Rest ...items: any[]

    Elements to insert into the array in place of the deleted elements.

  #### Returns any[]

### toLocaleString

- toLocaleString(): string

- Inherited from Array.toLocaleString

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1207

  Returns a string representation of an array. The elements are converted to string using their toLocalString methods.

  #### Returns string

### toString

- toString(): string

- Inherited from Array.toString

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1203

  Returns a string representation of an array.

  #### Returns string

### unshift

- unshift(...items: any[]): number

- Inherited from Array.unshift

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:1268

  Inserts new elements at the start of an array.

  #### Parameters

  - ##### Rest ...items: any[]

    Elements to insert at the start of the Array.

  #### Returns number

### values

- values(): IterableIterator<any>

- Inherited from Array.values

  - Defined in C:/Users/ipp/AppData/Roaming/npm/node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:67

  Returns an iterable of values in the array

  #### Returns IterableIterator<any>

Generated using TypeDoc